gnutls_anon_allocate_server_credentials(3)

NAME
gnutls_anon_allocate_server_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_anon_allocate_server_credentials(gnutls_anon_server_credentials_t * sc);

ARGUMENTS

gnutls_anon_server_credentials_t *      sc
    is a pointer to a gnutls_anon_server_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/